
#ifndef __LUMP_AREA_H__
#define __LUMP_AREA_H__

enum
{
	LAREA_NONE,
	LAREA_TEXT,
	LAREA_GFX,
	LAREA_TEXTURES,
	LAREA_MAP,
};

class LumpArea : public wxPanel
{
private:
	wxStaticText	*label_lumptype;

protected:
	Lump*	lump;

public:
	int		type;

	LumpArea(wxWindow *parent);
	~LumpArea();

	virtual void loadLump(Lump* lump);
	virtual void checkSave();
};

#endif
